# IRremoteESP8266: stdAc Namespace Reference

stdAc Namespace Reference

Enumerators and Structures for the Common A/C API. More...

## Classes

struct | state_t
| Structure to hold a common A/C state. More...

## Enumerations

enum | opmode_t { opmode_t::kOff = -1, opmode_t::kAuto = 0, opmode_t::kCool = 1, opmode_t::kHeat = 2, opmode_t::kDry = 3, opmode_t::kFan = 4, opmode_t::kLastOpmodeEnum = kFan }
| Common A/C settings for A/C operating modes. More...
enum | fanspeed_t { fanspeed_t::kAuto = 0, fanspeed_t::kMin = 1, fanspeed_t::kLow = 2, fanspeed_t::kMedium = 3, fanspeed_t::kHigh = 4, fanspeed_t::kMax = 5, fanspeed_t::kLastFanspeedEnum = kMax }
| Common A/C settings for Fan Speeds. More...
enum | swingv_t { swingv_t::kOff = -1, swingv_t::kAuto = 0, swingv_t::kHighest = 1, swingv_t::kHigh = 2, swingv_t::kMiddle = 3, swingv_t::kLow = 4, swingv_t::kLowest = 5, swingv_t::kLastSwingvEnum = kLowest }
| Common A/C settings for Vertical Swing. More...
enum | swingh_t { swingh_t::kOff = -1, swingh_t::kAuto = 0, swingh_t::kLeftMax = 1, swingh_t::kLeft = 2, swingh_t::kMiddle = 3, swingh_t::kRight = 4, swingh_t::kRightMax = 5, swingh_t::kWide = 6, swingh_t::kLastSwinghEnum = kWide }
| Common A/C settings for Horizontal Swing. More...

## Detailed Description

Enumerators and Structures for the Common A/C API.

## Enumeration Type Documentation

## fanspeed_t

enum stdAc::fanspeed_t

strong

Common A/C settings for Fan Speeds.

Enumerator
kAuto |
kMin |
kLow |
kMedium |
kHigh |
kMax |
kLastFanspeedEnum |

## opmode_t

enum stdAc::opmode_t

strong

Common A/C settings for A/C operating modes.

Enumerator
kOff |
kAuto |
kCool |
kHeat |
kDry |
kFan |
kLastOpmodeEnum |

## swingh_t

enum stdAc::swingh_t

strong

Common A/C settings for Horizontal Swing.

Enumerator
kOff |
kAuto |
kLeftMax |
kLeft |
kMiddle |
kRight |
kRightMax |
kWide |
kLastSwinghEnum |

## swingv_t

enum stdAc::swingv_t

strong

Common A/C settings for Vertical Swing.

Enumerator
kOff |
kAuto |
kHighest |
kHigh |
kMiddle |
kLow |
kLowest |
kLastSwingvEnum |